---
updatedAt: 2025-06-11T20:14:31.000Z
agentTools:
  projectIndex: https://developers.triathlon.org/llms.txt
---

# Program Results

The **Program Results** method returns all information with regards to the results of a program including all meta information associated. The results of this call may be used to display the results of a program directly such as on the [World Triathlon Series](http://wts.triathlon.org/results/result/2015_itu_world_triathlon_stockholm/271862) site.

Results from this API call may be limited by either specifying a **limit** parameter which returns that number of results in the results object or by supplying a pipe delimited list of **positions** should only certain positions be required such as the podium athletes.

The following example shows the podium results of the 2014 World Triathlon Auckland (78726) Elite Women (264331) (the same result could be achieved with `limit=3` parameter)

```curl
curl --header "apikey: [[app:key]]" https://api.triathlon.org/v1/events/78726/programs/264331/results?position=1|2|3
```

## Split Headers

The headers of a race are dependent on the format of the race and the results method will return the correct split headers for each program in a headers array. For example in a standard distance triathlon the headers will be as follows:

```json
{
   "headers":[
      {
         "segment":"leg1",
         "name":"Swim",
         "distance":1500,
         "units":"m",
         "laps":2
      },
      {
         "segment":"t1",
         "name":"T1"
      },
      {
         "segment":"leg2",
         "name":"Bike",
         "distance":40,
         "units":"km",
         "laps":8
      },
      {
         "segment":"t2",
         "name":"T2"
      },
      {
         "segment":"leg3",
         "name":"Run",
         "distance":10,
         "units":"km",
         "laps":4
      }
   ],
   "headers_count":5
}
```

The headers match the values in the athlete's splits array. `headers_count` is a simple shortcut to identify how many headers are included in the result as this may vary according to the sport discipline and affect displaying of the results. Note that it is not possible to use the headers as a key in the splits array as in certain circumstances there are more than one discipline (key) of the same name.

## Team Results

If the results of a program are team results shown by the `team` attribute which is a boolean the format of the results object differs as it contains basic team objects as opposed to athlete objects and contains additional information such as team split data.

```json
{
   "code":200,
   "status":"success",
   "data":{
      "prog_id":271507,
      "event_id":91030,
      "prog_name":"4xMixed Relay",
      "prog_date":"2015-07-19",
      "prog_time":"16:51:00",
      "results":[
         {
            "team_id":11428,
            "team_title":"Team I France",
            "team_slug":"team_i_france",
            "team_country_id":166,
            "team_profile_image":null,
            "team_noc":"FRA",
            "team_country_name":"France",
            "team_country_isoa2":"FR",
            "team_listing":"http://www.triathlon.org/athletes/profile/11428/team_i_france",
            "team_flag":"https://f9ca11ef49c28681fc01-0acbf57e00c47a50e70a1acb89e86c89.ssl.cf1.rackcdn.com/images/icons/fr.png",
            "team_api_listing":"https://api.triathlon.org/v1/v1/athletes/11428",
            "team_members":[
               {
                  "athlete_id":56557,
                  "athlete_title":"Jeanne Lehair",
                  "athlete_slug":"jeanne_lehair",
                  "athlete_edit_date":null,
                  "athlete_first":"Jeanne",
                  "athlete_last":"Lehair",
                  "athlete_country_id":166,
                  "athlete_gender":"female",
                  "athlete_yob":"1996",
                  "validated":false,
                  "athlete_profile_image":null,
                  "athlete_noc":"FRA",
                  "athlete_country_name":"France",
                  "athlete_country_isoa2":"FR",
                  "athlete_listing":"http://www.triathlon.org/athletes/profile/56557/jeanne_lehair",
                  "athlete_flag":"https://f9ca11ef49c28681fc01-0acbf57e00c47a50e70a1acb89e86c89.ssl.cf1.rackcdn.com/images/icons/fr.png",
                  "athlete_api_listing":"https://api.triathlon.org/v1/v1/athletes/56557",
                  "athlete_categories":[
                     42
                  ],
                  "splits":[
                     "00:04:10",
                     "00:00:39",
                     "00:10:29",
                     "00:00:23",
                     "00:05:22"
                  ],
                  "result_id":492827,
                  "position":1,
                  "total_time":"00:21:01",
                  "team_order":1
               },
               {
                  "athlete_id":49390,
                  "athlete_title":"Dorian Coninx",
                  "athlete_slug":"dorian_coninx",
                  "athlete_edit_date":"2016-03-24T21:50:36+00:00",
                  "athlete_first":"Dorian",
                  "athlete_last":"Coninx",
                  "athlete_country_id":166,
                  "athlete_gender":"male",
                  "athlete_yob":"1994",
                  "validated":false,
                  "athlete_profile_image":"http://www.triathlon.org/images/athlete_thumbs/Dorian_Coninx_(FRA)_olympics_headshots_WA8_1295.jpg",
                  "athlete_noc":"FRA",
                  "athlete_country_name":"France",
                  "athlete_country_isoa2":"FR",
                  "athlete_listing":"http://www.triathlon.org/athletes/profile/49390/dorian_coninx",
                  "athlete_flag":"https://f9ca11ef49c28681fc01-0acbf57e00c47a50e70a1acb89e86c89.ssl.cf1.rackcdn.com/images/icons/fr.png",
                  "athlete_api_listing":"https://api.triathlon.org/v1/v1/athletes/49390",
                  "athlete_categories":[
                     42
                  ],
                  "splits":[
                     "00:03:53",
                     "00:00:34",
                     "00:09:47",
                     "00:00:20",
                     "00:04:34"
                  ],
                  "result_id":492828,
                  "position":1,
                  "total_time":"00:19:06",
                  "team_order":2
               },
               {
                  "athlete_id":56556,
                  "athlete_title":"Audrey Merle",
                  "athlete_slug":"audrey_merle",
                  "athlete_edit_date":"2015-10-16T19:00:20+00:00",
                  "athlete_first":"Audrey",
                  "athlete_last":"Merle",
                  "athlete_country_id":166,
                  "athlete_gender":"female",
                  "athlete_yob":"1995",
                  "validated":false,
                  "athlete_profile_image":null,
                  "athlete_noc":"FRA",
                  "athlete_country_name":"France",
                  "athlete_country_isoa2":"FR",
                  "athlete_listing":"http://www.triathlon.org/athletes/profile/56556/audrey_merle",
                  "athlete_flag":"https://f9ca11ef49c28681fc01-0acbf57e00c47a50e70a1acb89e86c89.ssl.cf1.rackcdn.com/images/icons/fr.png",
                  "athlete_api_listing":"https://api.triathlon.org/v1/v1/athletes/56556",
                  "athlete_categories":[
                     42
                  ],
                  "splits":[
                     "00:04:20",
                     "00:00:41",
                     "00:10:31",
                     "00:00:22",
                     "00:05:17"
                  ],
                  "result_id":492829,
                  "position":1,
                  "total_time":"00:21:10",
                  "team_order":3
               },
               {
                  "athlete_id":11143,
                  "athlete_title":"Vincent Luis",
                  "athlete_slug":"vincent_luis",
                  "athlete_edit_date":"2016-03-24T21:52:31+00:00",
                  "athlete_first":"Vincent",
                  "athlete_last":"Luis",
                  "athlete_country_id":166,
                  "athlete_gender":"male",
                  "athlete_yob":"1989",
                  "validated":false,
                  "athlete_profile_image":"http://www.triathlon.org/images/athlete_thumbs/Vincent_Luis_(FRA)_olympics_headshots_WA8_1310.jpg",
                  "athlete_noc":"FRA",
                  "athlete_country_name":"France",
                  "athlete_country_isoa2":"FR",
                  "athlete_listing":"http://www.triathlon.org/athletes/profile/11143/vincent_luis",
                  "athlete_flag":"https://f9ca11ef49c28681fc01-0acbf57e00c47a50e70a1acb89e86c89.ssl.cf1.rackcdn.com/images/icons/fr.png",
                  "athlete_api_listing":"https://api.triathlon.org/v1/v1/athletes/11143",
                  "athlete_categories":[
                     42
                  ],
                  "splits":[
                     "00:03:50",
                     "00:00:30",
                     "00:10:04",
                     "00:00:21",
                     "00:04:35"
                  ],
                  "result_id":492830,
                  "position":1,
                  "total_time":"00:19:18",
                  "team_order":4
               }
            ],
            "splits":[
               "00:21:01",
               "00:19:06",
               "00:21:10",
               "00:19:18"
            ],
            "result_id":492806,
            "position":1,
            "total_time":"01:20:33",
            "start_num":2
         },
         {
            "team_id":13958,
            "team_title":"Team I Australia",
            "team_slug":"team_i_australia",
            "team_country_id":111,
            "team_profile_image":null,
            "team_noc":"AUS",
            "team_country_name":"Australia",
            "team_country_isoa2":"AU",
            "team_listing":"http://www.triathlon.org/athletes/profile/13958/team_i_australia",
            "team_flag":"https://f9ca11ef49c28681fc01-0acbf57e00c47a50e70a1acb89e86c89.ssl.cf1.rackcdn.com/images/icons/au.png",
            "team_api_listing":"https://api.triathlon.org/v1/v1/athletes/13958",
            "team_members":[
               {
                  "athlete_id":39450,
                  "athlete_title":"Gillian Backhouse",
                  "athlete_slug":"gillian_backhouse",
                  "athlete_edit_date":"2016-02-03T21:18:40+00:00",
                  "athlete_first":"Gillian",
                  "athlete_last":"Backhouse",
                  "athlete_country_id":111,
                  "athlete_gender":"female",
                  "athlete_yob":"1991",
                  "validated":false,
                  "athlete_profile_image":"http://www.triathlon.org/images/athlete_thumbs/Gillian_Backhouse_(AUS)_olympics_headshots_WA8_1688.jpg",
                  "athlete_noc":"AUS",
                  "athlete_country_name":"Australia",
                  "athlete_country_isoa2":"AU",
                  "athlete_listing":"http://www.triathlon.org/athletes/profile/39450/gillian_backhouse",
                  "athlete_flag":"https://f9ca11ef49c28681fc01-0acbf57e00c47a50e70a1acb89e86c89.ssl.cf1.rackcdn.com/images/icons/au.png",
                  "athlete_api_listing":"https://api.triathlon.org/v1/v1/athletes/39450",
                  "athlete_categories":[
                     42
                  ],
                  "splits":[
                     "00:04:00",
                     "00:00:38",
                     "00:10:30",
                     "00:00:22",
                     "00:05:20"
                  ],
                  "result_id":492835,
                  "position":2,
                  "total_time":"00:20:48",
                  "team_order":1
               },
               {
                  "athlete_id":10141,
                  "athlete_title":"Aaron Royle",
                  "athlete_slug":"aaron_royle",
                  "athlete_edit_date":"2016-02-03T21:12:45+00:00",
                  "athlete_first":"Aaron",
                  "athlete_last":"Royle",
                  "athlete_country_id":111,
                  "athlete_gender":"male",
                  "athlete_yob":"1990",
                  "validated":false,
                  "athlete_profile_image":"http://www.triathlon.org/images/athlete_thumbs/Aaron_Royle_(AUS)_olympics_headshots_WA8_1698.jpg",
                  "athlete_noc":"AUS",
                  "athlete_country_name":"Australia",
                  "athlete_country_isoa2":"AU",
                  "athlete_listing":"http://www.triathlon.org/athletes/profile/10141/aaron_royle",
                  "athlete_flag":"https://f9ca11ef49c28681fc01-0acbf57e00c47a50e70a1acb89e86c89.ssl.cf1.rackcdn.com/images/icons/au.png",
                  "athlete_api_listing":"https://api.triathlon.org/v1/v1/athletes/10141",
                  "athlete_categories":[
                     42
                  ],
                  "splits":[
                     "00:03:49",
                     "00:00:36",
                     "00:09:46",
                     "00:00:21",
                     "00:04:41"
                  ],
                  "result_id":492836,
                  "position":2,
                  "total_time":"00:19:12",
                  "team_order":2
               },
               {
                  "athlete_id":15747,
                  "athlete_title":"Emma Jackson",
                  "athlete_slug":"emma_jackson",
                  "athlete_edit_date":"2016-02-03T21:16:35+00:00",
                  "athlete_first":"Emma",
                  "athlete_last":"Jackson",
                  "athlete_country_id":111,
                  "athlete_gender":"female",
                  "athlete_yob":"1991",
                  "validated":false,
                  "athlete_profile_image":"http://www.triathlon.org/images/athlete_thumbs/Emma_Jackson_(AUS)_olympics_headshots_WA8_1722.jpg",
                  "athlete_noc":"AUS",
                  "athlete_country_name":"Australia",
                  "athlete_country_isoa2":"AU",
                  "athlete_listing":"http://www.triathlon.org/athletes/profile/15747/emma_jackson",
                  "athlete_flag":"https://f9ca11ef49c28681fc01-0acbf57e00c47a50e70a1acb89e86c89.ssl.cf1.rackcdn.com/images/icons/au.png",
                  "athlete_api_listing":"https://api.triathlon.org/v1/v1/athletes/15747",
                  "athlete_categories":[
                     42
                  ],
                  "splits":[
                     "00:04:24",
                     "00:00:39",
                     "00:10:36",
                     "00:00:23",
                     "00:05:11"
                  ],
                  "result_id":492837,
                  "position":2,
                  "total_time":"00:21:12",
                  "team_order":3
               },
               {
                  "athlete_id":28500,
                  "athlete_title":"Ryan Bailie",
                  "athlete_slug":"ryan_bailie",
                  "athlete_edit_date":"2016-02-03T21:39:17+00:00",
                  "athlete_first":"Ryan",
                  "athlete_last":"Bailie",
                  "athlete_country_id":111,
                  "athlete_gender":"male",
                  "athlete_yob":"1990",
                  "validated":false,
                  "athlete_profile_image":"http://www.triathlon.org/images/athlete_thumbs/Ryan_Bailie_(AUS)_olympics_headshots_WA8_1680.jpg",
                  "athlete_noc":"AUS",
                  "athlete_country_name":"Australia",
                  "athlete_country_isoa2":"AU",
                  "athlete_listing":"http://www.triathlon.org/athletes/profile/28500/ryan_bailie",
                  "athlete_flag":"https://f9ca11ef49c28681fc01-0acbf57e00c47a50e70a1acb89e86c89.ssl.cf1.rackcdn.com/images/icons/au.png",
                  "athlete_api_listing":"https://api.triathlon.org/v1/v1/athletes/28500",
                  "athlete_categories":[
                     42
                  ],
                  "splits":[
                     "00:03:57",
                     "00:00:38",
                     "00:09:55",
                     "00:00:22",
                     "00:04:42"
                  ],
                  "result_id":492838,
                  "position":2,
                  "total_time":"00:19:32",
                  "team_order":4
               }
            ],
            "splits":[
               "00:20:48",
               "00:19:12",
               "00:21:12",
               "00:19:32"
            ],
            "result_id":492807,
            "position":2,
            "total_time":"01:20:42",
            "start_num":4
         }
      ],
      "team":true,
      "event":{
         "event_id":91030,
         "event_title":"2015 Hamburg ITU Triathlon Mixed Relay World Championships",
         "event_slug":"2015_hamburg_itu_triathlon_mixed_relay_world_championships",
         "event_edit_date":"2015-09-16T14:14:00+00:00",
         "event_venue":"Hamburg",
         "event_country":"Germany",
         "event_latitude":53.55108,
         "event_longitude":9.99368,
         "event_date":"2015-07-18",
         "event_finish_date":"2015-07-19",
         "event_country_isoa2":"DE",
         "event_country_noc":"GER",
         "event_region_id":10,
         "event_country_id":170,
         "event_region_name":"Europe",
         "event_categories":[
            {
               "cat_name":"World Championships",
               "cat_id":348,
               "cat_parent_id":0
            }
         ],
         "event_specifications":[
            {
               "cat_name":"Triathlon",
               "cat_id":357,
               "cat_parent_id":0
            },
            {
               "cat_name":"4xMixed Relay",
               "cat_id":380,
               "cat_parent_id":357
            }
         ],
         "event_flag":"https://f9ca11ef49c28681fc01-0acbf57e00c47a50e70a1acb89e86c89.ssl.cf1.rackcdn.com/images/icons/de.png",
         "event_listing":"http://www.triathlon.org/events/event/2015_hamburg_itu_triathlon_mixed_relay_world_championships",
         "event_api_listing":"https://api.triathlon.org/v1/v1/events/91030"
      },
      "meta":null,
      "headers":[
         {
            "segment":"team_leg1",
            "name":"Leg 1"
         },
         {
            "segment":"team_leg2",
            "name":"Leg 2"
         },
         {
            "segment":"team_leg3",
            "name":"Leg 3"
         },
         {
            "segment":"team_leg4",
            "name":"Leg 4"
         }
      ],
      "headers_count":4,
      "team_headers":[
         {
            "segment":"leg1",
            "name":"Swim",
            "distance":300,
            "units":"m",
            "laps":1
         },
         {
            "segment":"t1",
            "name":"T1"
         },
         {
            "segment":"leg2",
            "name":"Bike",
            "distance":6.6,
            "units":"km",
            "laps":2
         },
         {
            "segment":"t2",
            "name":"T2"
         },
         {
            "segment":"leg3",
            "name":"Run",
            "distance":1.6,
            "units":"km",
            "laps":2
         }
      ],
      "team_headers_count":5
   }
}
```

Additionally a `team_headers` and `team_headers_count` attributes will be present where `team_headers` indicates the individual splits that comprise the leg of the team event.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "triathlon-api-v1",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.triathlon.org/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "apikey",
        "x-default": "2649776ef9ece4c391003b521cbfce7a"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/events/{event_id}/programs/{prog_id}/results": {
      "get": {
        "summary": "Program Results",
        "description": "",
        "operationId": "program-results",
        "parameters": [
          {
            "name": "event_id",
            "in": "path",
            "description": "The unique id of the event",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "prog_id",
            "in": "path",
            "description": "The unique id of the program",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Limit the number of results returned",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "position",
            "in": "query",
            "description": "A pipe delimited list of positions to be returned",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "result_id",
            "in": "query",
            "description": "A pipe delimited list of result_ids to be returned",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"code\": 200,\n    \"status\": \"success\",\n    \"data\": {\n        \"prog_id\": 270563,\n        \"event_id\": 90162,\n        \"prog_name\": \"Elite Men\",\n        \"prog_date\": \"2015-04-11\",\n        \"prog_time\": \"14:06:00\",\n        \"prog_notes\": \"Technical Delegate: Stefane Mauris/SUI. Race Referee Sarah Taylor/GBR. Competition Jury: Stegfane Mauris/SUI, Terry Sheldrake/NZL, Helen Wyeth/GBR.\\nDistances: Swin 1500 m (2 laps), Bike 41.765 km (13.8 km + 7 laps of 3.95 km) Run 10 km (4 laps)\\nWater temperature 18.2ºC, Air temperature 18.2º C. Wetsuit swim.\",\n        \"results\": [\n            {\n                \"athlete_id\": 11378,\n                \"athlete_title\": \"Jonathan Brownlee\",\n                \"athlete_slug\": \"jonathan_brownlee\",\n                \"athlete_edit_date\": \"2016-02-09T14:04:34+00:00\",\n                \"athlete_first\": \"Jonathan\",\n                \"athlete_last\": \"Brownlee\",\n                \"athlete_country_id\": 292,\n                \"athlete_gender\": \"male\",\n                \"athlete_yob\": \"1990\",\n                \"validated\": false,\n                \"athlete_profile_image\": \"http://www.triathlon.org/images/athlete_thumbs/johnathon-brownlee-181x181.jpg\",\n                \"athlete_noc\": \"GBR\",\n                \"athlete_country_name\": \"Great Britain\",\n                \"athlete_country_isoa2\": \"GB\",\n                \"athlete_listing\": \"http://www.triathlon.org/athletes/profile/11378/jonathan_brownlee\",\n                \"athlete_flag\": \"https://f9ca11ef49c28681fc01-0acbf57e00c47a50e70a1acb89e86c89.ssl.cf1.rackcdn.com/images/icons/gb.png\",\n                \"athlete_api_listing\": \"https://api.triathlon.org/v1/v1/athletes/11378\",\n                \"athlete_categories\": [\n                    42\n                ],\n                \"splits\": [\n                    \"00:17:11\",\n                    \"00:00:27\",\n                    \"00:59:06\",\n                    \"00:00:21\",\n                    \"00:29:49\"\n                ],\n                \"result_id\": 520923,\n                \"position\": 1,\n                \"total_time\": \"01:46:53\",\n                \"start_num\": 1\n            },\n            {\n                \"athlete_id\": 11402,\n                \"athlete_title\": \"Mario Mola\",\n                \"athlete_slug\": \"mario_mola\",\n                \"athlete_edit_date\": \"2016-03-29T20:14:34+00:00\",\n                \"athlete_first\": \"Mario\",\n                \"athlete_last\": \"Mola\",\n                \"athlete_country_id\": 270,\n                \"athlete_gender\": \"male\",\n                \"athlete_yob\": \"1990\",\n                \"validated\": false,\n                \"athlete_profile_image\": \"http://www.triathlon.org/images/athlete_thumbs/Mario_Mola_(ESP)_olympics_headshots_WA8_1573.jpg\",\n                \"athlete_noc\": \"ESP\",\n                \"athlete_country_name\": \"Spain\",\n                \"athlete_country_isoa2\": \"ES\",\n                \"athlete_listing\": \"http://www.triathlon.org/athletes/profile/11402/mario_mola\",\n                \"athlete_flag\": \"https://f9ca11ef49c28681fc01-0acbf57e00c47a50e70a1acb89e86c89.ssl.cf1.rackcdn.com/images/icons/es.png\",\n                \"athlete_api_listing\": \"https://api.triathlon.org/v1/v1/athletes/11402\",\n                \"athlete_categories\": [\n                    42\n                ],\n                \"splits\": [\n                    \"00:18:19\",\n                    \"00:00:25\",\n                    \"00:58:22\",\n                    \"00:00:23\",\n                    \"00:29:44\"\n                ],\n                \"result_id\": 520924,\n                \"position\": 2,\n                \"total_time\": \"01:47:11\",\n                \"start_num\": 4\n            }\n        ],\n        \"team\": false,\n        \"event\": {\n            \"event_id\": 90162,\n            \"event_title\": \"2015 ITU World Triathlon Gold Coast\",\n            \"event_slug\": \"2015_itu_world_triathlon_gold_coast\",\n            \"event_edit_date\": \"2015-04-20T10:45:42+00:00\",\n            \"event_venue\": \"Gold Coast\",\n            \"event_country\": \"Australia\",\n            \"event_latitude\": -28.01726,\n            \"event_longitude\": 153.4257,\n            \"event_date\": \"2015-04-11\",\n            \"event_finish_date\": \"2015-04-12\",\n            \"event_country_isoa2\": \"AU\",\n            \"event_country_noc\": \"AUS\",\n            \"event_region_id\": 14,\n            \"event_country_id\": 111,\n            \"event_region_name\": \"Oceania\",\n            \"event_categories\": [\n                {\n                    \"cat_name\": \"World Triathlon Series\",\n                    \"cat_id\": 351,\n                    \"cat_parent_id\": 0\n                }\n            ],\n            \"event_specifications\": [\n                {\n                    \"cat_name\": \"Triathlon\",\n                    \"cat_id\": 357,\n                    \"cat_parent_id\": 0\n                },\n                {\n                    \"cat_name\": \"Standard\",\n                    \"cat_id\": 377,\n                    \"cat_parent_id\": 357\n                }\n            ],\n            \"event_flag\": \"https://f9ca11ef49c28681fc01-0acbf57e00c47a50e70a1acb89e86c89.ssl.cf1.rackcdn.com/images/icons/au.png\",\n            \"event_listing\": \"http://www.triathlon.org/events/event/2015_itu_world_triathlon_gold_coast\",\n            \"event_api_listing\": \"https://api.triathlon.org/v1/v1/events/90162\"\n        },\n        \"meta\": {\n            \"temperature_water\": 24.6,\n            \"temperature_air\": 21.1,\n            \"wetsuit\": false,\n            \"deduction\": null\n        },\n        \"headers\": [\n            {\n                \"segment\": \"leg1\",\n                \"name\": \"Swim\",\n                \"distance\": 1500,\n                \"units\": \"m\",\n                \"laps\": 2\n            },\n            {\n                \"segment\": \"t1\",\n                \"name\": \"T1\"\n            },\n            {\n                \"segment\": \"leg2\",\n                \"name\": \"Bike\",\n                \"distance\": 40,\n                \"units\": \"km\",\n                \"laps\": 8\n            },\n            {\n                \"segment\": \"t2\",\n                \"name\": \"T2\"\n            },\n            {\n                \"segment\": \"leg3\",\n                \"name\": \"Run\",\n                \"distance\": 10,\n                \"units\": \"km\",\n                \"laps\": 4\n            }\n        ],\n        \"headers_count\": 5\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": 200,
                      "default": 0
                    },
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "prog_id": {
                          "type": "integer",
                          "example": 270563,
                          "default": 0
                        },
                        "event_id": {
                          "type": "integer",
                          "example": 90162,
                          "default": 0
                        },
                        "prog_name": {
                          "type": "string",
                          "example": "Elite Men"
                        },
                        "prog_date": {
                          "type": "string",
                          "example": "2015-04-11"
                        },
                        "prog_time": {
                          "type": "string",
                          "example": "14:06:00"
                        },
                        "prog_notes": {
                          "type": "string",
                          "example": "Technical Delegate: Stefane Mauris/SUI. Race Referee Sarah Taylor/GBR. Competition Jury: Stegfane Mauris/SUI, Terry Sheldrake/NZL, Helen Wyeth/GBR.\nDistances: Swin 1500 m (2 laps), Bike 41.765 km (13.8 km + 7 laps of 3.95 km) Run 10 km (4 laps)\nWater temperature 18.2ºC, Air temperature 18.2º C. Wetsuit swim."
                        },
                        "results": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "athlete_id": {
                                "type": "integer",
                                "example": 11378,
                                "default": 0
                              },
                              "athlete_title": {
                                "type": "string",
                                "example": "Jonathan Brownlee"
                              },
                              "athlete_slug": {
                                "type": "string",
                                "example": "jonathan_brownlee"
                              },
                              "athlete_edit_date": {
                                "type": "string",
                                "example": "2016-02-09T14:04:34+00:00"
                              },
                              "athlete_first": {
                                "type": "string",
                                "example": "Jonathan"
                              },
                              "athlete_last": {
                                "type": "string",
                                "example": "Brownlee"
                              },
                              "athlete_country_id": {
                                "type": "integer",
                                "example": 292,
                                "default": 0
                              },
                              "athlete_gender": {
                                "type": "string",
                                "example": "male"
                              },
                              "athlete_yob": {
                                "type": "string",
                                "example": "1990"
                              },
                              "validated": {
                                "type": "boolean",
                                "example": false,
                                "default": true
                              },
                              "athlete_profile_image": {
                                "type": "string",
                                "example": "http://www.triathlon.org/images/athlete_thumbs/johnathon-brownlee-181x181.jpg"
                              },
                              "athlete_noc": {
                                "type": "string",
                                "example": "GBR"
                              },
                              "athlete_country_name": {
                                "type": "string",
                                "example": "Great Britain"
                              },
                              "athlete_country_isoa2": {
                                "type": "string",
                                "example": "GB"
                              },
                              "athlete_listing": {
                                "type": "string",
                                "example": "http://www.triathlon.org/athletes/profile/11378/jonathan_brownlee"
                              },
                              "athlete_flag": {
                                "type": "string",
                                "example": "https://f9ca11ef49c28681fc01-0acbf57e00c47a50e70a1acb89e86c89.ssl.cf1.rackcdn.com/images/icons/gb.png"
                              },
                              "athlete_api_listing": {
                                "type": "string",
                                "example": "https://api.triathlon.org/v1/v1/athletes/11378"
                              },
                              "athlete_categories": {
                                "type": "array",
                                "items": {
                                  "type": "integer",
                                  "example": 42,
                                  "default": 0
                                }
                              },
                              "splits": {
                                "type": "array",
                                "items": {
                                  "type": "string",
                                  "example": "00:17:11"
                                }
                              },
                              "result_id": {
                                "type": "integer",
                                "example": 520923,
                                "default": 0
                              },
                              "position": {
                                "type": "integer",
                                "example": 1,
                                "default": 0
                              },
                              "total_time": {
                                "type": "string",
                                "example": "01:46:53"
                              },
                              "start_num": {
                                "type": "integer",
                                "example": 1,
                                "default": 0
                              }
                            }
                          }
                        },
                        "team": {
                          "type": "boolean",
                          "example": false,
                          "default": true
                        },
                        "event": {
                          "type": "object",
                          "properties": {
                            "event_id": {
                              "type": "integer",
                              "example": 90162,
                              "default": 0
                            },
                            "event_title": {
                              "type": "string",
                              "example": "2015 ITU World Triathlon Gold Coast"
                            },
                            "event_slug": {
                              "type": "string",
                              "example": "2015_itu_world_triathlon_gold_coast"
                            },
                            "event_edit_date": {
                              "type": "string",
                              "example": "2015-04-20T10:45:42+00:00"
                            },
                            "event_venue": {
                              "type": "string",
                              "example": "Gold Coast"
                            },
                            "event_country": {
                              "type": "string",
                              "example": "Australia"
                            },
                            "event_latitude": {
                              "type": "number",
                              "example": -28.01726,
                              "default": 0
                            },
                            "event_longitude": {
                              "type": "number",
                              "example": 153.4257,
                              "default": 0
                            },
                            "event_date": {
                              "type": "string",
                              "example": "2015-04-11"
                            },
                            "event_finish_date": {
                              "type": "string",
                              "example": "2015-04-12"
                            },
                            "event_country_isoa2": {
                              "type": "string",
                              "example": "AU"
                            },
                            "event_country_noc": {
                              "type": "string",
                              "example": "AUS"
                            },
                            "event_region_id": {
                              "type": "integer",
                              "example": 14,
                              "default": 0
                            },
                            "event_country_id": {
                              "type": "integer",
                              "example": 111,
                              "default": 0
                            },
                            "event_region_name": {
                              "type": "string",
                              "example": "Oceania"
                            },
                            "event_categories": {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "properties": {
                                  "cat_name": {
                                    "type": "string",
                                    "example": "World Triathlon Series"
                                  },
                                  "cat_id": {
                                    "type": "integer",
                                    "example": 351,
                                    "default": 0
                                  },
                                  "cat_parent_id": {
                                    "type": "integer",
                                    "example": 0,
                                    "default": 0
                                  }
                                }
                              }
                            },
                            "event_specifications": {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "properties": {
                                  "cat_name": {
                                    "type": "string",
                                    "example": "Triathlon"
                                  },
                                  "cat_id": {
                                    "type": "integer",
                                    "example": 357,
                                    "default": 0
                                  },
                                  "cat_parent_id": {
                                    "type": "integer",
                                    "example": 0,
                                    "default": 0
                                  }
                                }
                              }
                            },
                            "event_flag": {
                              "type": "string",
                              "example": "https://f9ca11ef49c28681fc01-0acbf57e00c47a50e70a1acb89e86c89.ssl.cf1.rackcdn.com/images/icons/au.png"
                            },
                            "event_listing": {
                              "type": "string",
                              "example": "http://www.triathlon.org/events/event/2015_itu_world_triathlon_gold_coast"
                            },
                            "event_api_listing": {
                              "type": "string",
                              "example": "https://api.triathlon.org/v1/v1/events/90162"
                            }
                          }
                        },
                        "meta": {
                          "type": "object",
                          "properties": {
                            "temperature_water": {
                              "type": "number",
                              "example": 24.6,
                              "default": 0
                            },
                            "temperature_air": {
                              "type": "number",
                              "example": 21.1,
                              "default": 0
                            },
                            "wetsuit": {
                              "type": "boolean",
                              "example": false,
                              "default": true
                            },
                            "deduction": {}
                          }
                        },
                        "headers": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "segment": {
                                "type": "string",
                                "example": "leg1"
                              },
                              "name": {
                                "type": "string",
                                "example": "Swim"
                              },
                              "distance": {
                                "type": "integer",
                                "example": 1500,
                                "default": 0
                              },
                              "units": {
                                "type": "string",
                                "example": "m"
                              },
                              "laps": {
                                "type": "integer",
                                "example": 2,
                                "default": 0
                              }
                            }
                          }
                        },
                        "headers_count": {
                          "type": "integer",
                          "example": 5,
                          "default": 0
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```